{
Copyright  1999 by Delphi 5 Developer's Guide - Xavier Pacheco and Steve Teixeira
}

unit MainFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, NewChildFrm;

type
  TMainForm = class(TForm)
    pnlMain: TPanel;
    Splitter1: TSplitter;
    pnlParent: TPanel;
    btnNormal: TButton;
    btnChild: TButton;
    btnFree: TButton;
    procedure btnNormalClick(Sender: TObject);
    procedure btnChildClick(Sender: TObject);
    procedure btnFreeClick(Sender: TObject);
  private
    FNewChildForm: TNewChildForm;
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.btnNormalClick(Sender: TObject);
var
  LocalChildForm: TNewChildForm;
begin
  LocalChildForm := TNewChildForm.Create(Application);
  try
    LocalChildForm.ShowModal;
  finally
    LocalChildForm.Free;
  end;
end;

procedure TMainForm.btnChildClick(Sender: TObject);
begin
  if not Assigned(FNewChildForm) then
  begin
    FNewChildForm := TNewChildForm.Create(Application, pnlParent);
    FNewChildform.Show;
    pnlParent.Height := pnlParent.Height-1;
  end;
end;

procedure TMainForm.btnFreeClick(Sender: TObject);
begin
  if Assigned(FNewChildForm) then
  begin
    FNewChildForm.Free;
    FNewChildform := nil;
  end;
end;

end.
